Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 995)
+++ src/mlx/gui/flight.py	(revision 996)
@@ -4192,5 +4192,5 @@
             self._derateLabel.set_sensitive(True)
 
-            self._derateWidget = gtk.Entry()
+            self._derateWidget = Gtk.Entry()
             self._derateWidget.set_width_chars(7)
             self._derateWidget.set_tooltip_text(xstr("takeoff_derate_epr_tooltip"))
@@ -4205,5 +4205,5 @@
             self._derateLabel.set_sensitive(True)
 
-            nominal = gtk.RadioButton.\
+            nominal = Gtk.RadioButton.\
                 new_with_label_from_widget(None,
                                            xstr("takeoff_derate_tupolev_nominal"))
@@ -4212,5 +4212,5 @@
             nominal.connect("toggled", self._derateChanged)
 
-            takeoff = gtk.RadioButton.\
+            takeoff = Gtk.RadioButton.\
                 new_with_label_from_widget(nominal,
                                            xstr("takeoff_derate_tupolev_takeoff"))
@@ -4222,5 +4222,5 @@
             self._derateButtons = [nominal, takeoff]
 
-            self._derateWidget = gtk.HBox()
+            self._derateWidget = Gtk.HBox()
             self._derateWidget.pack_start(nominal, False, False, 4)
             self._derateWidget.pack_start(takeoff, False, False, 4)
@@ -4230,5 +4230,5 @@
             self._derateLabel.set_text("")
 
-            self._derateWidget = gtk.CheckButton(xstr("takeoff_derate_b462"))
+            self._derateWidget = Gtk.CheckButton(xstr("takeoff_derate_b462"))
             self._derateWidget.set_tooltip_text(xstr("takeoff_derate_b462_tooltip"))
             self._derateWidget.set_use_underline(True)
@@ -4273,22 +4273,22 @@
         self._activated = False
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                   xscale = 0.0, yscale = 1.0)
 
-        mainBox = gtk.VBox()
+        mainBox = Gtk.VBox()
         alignment.add(mainBox)
         self.setMainWidget(alignment)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 0.0, yscale = 0.0)
         mainBox.pack_start(alignment, False, False, 16)
 
-        levelBox = gtk.HBox()
-
-        label = gtk.Label(xstr("route_level"))
+        levelBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("route_level"))
         label.set_use_underline(True)
         levelBox.pack_start(label, True, True, 0)
 
-        self._cruiseLevel = gtk.SpinButton()
+        self._cruiseLevel = Gtk.SpinButton()
         self._cruiseLevel.set_increments(step = 10, page = 100)
         self._cruiseLevel.set_range(min = 50, max = 500)
@@ -4300,5 +4300,5 @@
         levelBox.pack_start(self._cruiseLevel, False, False, 8)
 
-        self._updateButton = gtk.Button(xstr("cruise_route_level_update"));
+        self._updateButton = Gtk.Button(xstr("cruise_route_level_update"));
         self._updateButton.set_use_underline(True)
         self._updateButton.set_tooltip_text(xstr("cruise_route_level_update_tooltip"))
@@ -4309,5 +4309,5 @@
         mainBox.pack_start(levelBox, False, False, 0)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 0.0, yscale = 1.0)
         mainBox.pack_start(alignment, True, True, 0)
@@ -4387,8 +4387,8 @@
         self._flightEnded = False
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(7, 24)
+        table = Gtk.Table(7, 24)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -4399,10 +4399,10 @@
         row = 0
 
-        label = gtk.Label(xstr("landing_metar"))
+        label = Gtk.Label(xstr("landing_metar"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 1, 2, row, row+1)
 
-        self._metar = gtk.Entry()
+        self._metar = Gtk.Entry()
         self._metar.set_width_chars(40)
         self._metar.set_tooltip_text(xstr("landing_metar_tooltip"))
@@ -4416,10 +4416,10 @@
         row += 1
 
-        label = gtk.Label(xstr("landing_star"))
+        label = Gtk.Label(xstr("landing_star"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 1, 2, row, row + 1)
 
-        self._star = gtk.ComboBox.new_with_model_and_entry(comboModel)
+        self._star = Gtk.ComboBox.new_with_model_and_entry(comboModel)
 
         self._star.set_entry_text_column(0)
@@ -4433,10 +4433,10 @@
         row += 1
 
-        label = gtk.Label(xstr("landing_transition"))
+        label = Gtk.Label(xstr("landing_transition"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 1, 2, row, row + 1)
 
-        self._transition = gtk.ComboBox.new_with_model_and_entry(comboModel)
+        self._transition = Gtk.ComboBox.new_with_model_and_entry(comboModel)
 
         self._transition.set_entry_text_column(0)
@@ -4450,10 +4450,10 @@
         row += 1
 
-        label = gtk.Label(xstr("landing_runway"))
+        label = Gtk.Label(xstr("landing_runway"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 1, 2, row, row + 1)
 
-        self._runway = gtk.Entry()
+        self._runway = Gtk.Entry()
         self._runway.set_width_chars(10)
         self._runway.set_tooltip_text(xstr("landing_runway_tooltip"))
@@ -4464,10 +4464,10 @@
         row += 1
 
-        label = gtk.Label(xstr("landing_approach"))
+        label = Gtk.Label(xstr("landing_approach"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 1, 2, row, row + 1)
 
-        self._approachType = gtk.Entry()
+        self._approachType = Gtk.Entry()
         self._approachType.set_width_chars(10)
         self._approachType.set_tooltip_text(xstr("landing_approach_tooltip"))
@@ -4478,5 +4478,5 @@
         row += 1
 
-        label = gtk.Label(xstr("landing_vref"))
+        label = Gtk.Label(xstr("landing_vref"))
         label.set_use_markup(True)
         label.set_use_underline(True)
@@ -4491,10 +4491,10 @@
         label.set_mnemonic_widget(self._vref)
 
-        self._vrefUnit = gtk.Label(xstr("label_knots"))
+        self._vrefUnit = Gtk.Label(xstr("label_knots"))
         table.attach(self._vrefUnit, 4, 5, row, row + 1)
 
         row += 1
 
-        self._antiIceOn = gtk.CheckButton(xstr("landing_antiice"))
+        self._antiIceOn = Gtk.CheckButton(xstr("landing_antiice"))
         self._antiIceOn.set_use_underline(True)
         self._antiIceOn.set_tooltip_text(xstr("landing_antiice_tooltip"))
@@ -4780,5 +4780,5 @@
             page.setPIREPSaved()
 
-        dialog = gtk.MessageDialog(parent = gui.mainWindow,
+        dialog = Gtk.MessageDialog(parent = gui.mainWindow,
                                    type = type, message_format = message)
         dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
@@ -4796,20 +4796,20 @@
         if self._savePIREPDialog is None:
             gui = self._wizard.gui
-            dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
+            dialog = Gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
                                            xstr("finish_save_title"),
                                            action = FILE_CHOOSER_ACTION_SAVE,
-                                           buttons = (gtk.STOCK_CANCEL,
+                                           buttons = (Gtk.STOCK_CANCEL,
                                                       RESPONSETYPE_CANCEL,
-                                                      gtk.STOCK_OK, RESPONSETYPE_OK),
+                                                      Gtk.STOCK_OK, RESPONSETYPE_OK),
                                            parent = gui.mainWindow)
             dialog.set_modal(True)
             dialog.set_do_overwrite_confirmation(True)
 
-            filter = gtk.FileFilter()
+            filter = Gtk.FileFilter()
             filter.set_name(xstr("file_filter_pireps"))
             filter.add_pattern("*.pirep")
             dialog.add_filter(filter)
 
-            filter = gtk.FileFilter()
+            filter = Gtk.FileFilter()
             filter.set_name(xstr("file_filter_all"))
             filter.add_pattern("*.*")
@@ -4830,8 +4830,8 @@
                                          xstr("finish_title"), help)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(10, 2)
+        table = Gtk.Table(10, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -4842,11 +4842,11 @@
         row = 0
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("finish_rating"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("finish_rating"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._flightRating = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._flightRating = Gtk.Label()
         self._flightRating.set_width_chars(8)
         self._flightRating.set_alignment(0.0, 0.5)
@@ -4857,11 +4857,11 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("finish_dep_time"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("finish_dep_time"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._depTime = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._depTime = Gtk.Label()
         self._depTime.set_width_chars(13)
         self._depTime.set_alignment(0.0, 0.5)
@@ -4873,11 +4873,11 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("finish_flight_time"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("finish_flight_time"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._flightTime = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._flightTime = Gtk.Label()
         self._flightTime.set_width_chars(10)
         self._flightTime.set_alignment(0.0, 0.5)
@@ -4888,11 +4888,11 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("finish_block_time"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("finish_block_time"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._blockTime = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._blockTime = Gtk.Label()
         self._blockTime.set_width_chars(10)
         self._blockTime.set_alignment(0.0, 0.5)
@@ -4903,11 +4903,11 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("finish_arr_time"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("finish_arr_time"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._arrTime = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._arrTime = Gtk.Label()
         self._arrTime.set_width_chars(13)
         self._arrTime.set_alignment(0.0, 0.5)
@@ -4919,11 +4919,11 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("finish_distance"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("finish_distance"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._distanceFlown = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._distanceFlown = Gtk.Label()
         self._distanceFlown.set_width_chars(10)
         self._distanceFlown.set_alignment(0.0, 0.5)
@@ -4934,11 +4934,11 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("finish_fuel"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("finish_fuel"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._fuelUsed = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._fuelUsed = Gtk.Label()
         self._fuelUsed.set_width_chars(10)
         self._fuelUsed.set_alignment(0.0, 0.5)
@@ -4949,7 +4949,7 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, xscale = 0.0,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, xscale = 0.0,
                                        yalign = 0.5, yscale = 0.0)
-        label = gtk.Label(xstr("finish_type"))
+        label = Gtk.Label(xstr("finish_type"))
         label.set_use_underline(True)
         labelAlignment.add(label)
@@ -4960,5 +4960,5 @@
         self._flightType.set_active(0)
         self._flightType.connect("changed", self._flightTypeChanged)
-        flightTypeAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
+        flightTypeAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
         flightTypeAlignment.add(self._flightType)
         table.attach(flightTypeAlignment, 1, 2, row, row+1)
@@ -4967,8 +4967,8 @@
         row += 1
 
-        self._onlineFlight = gtk.CheckButton(xstr("finish_online"))
+        self._onlineFlight = Gtk.CheckButton(xstr("finish_online"))
         self._onlineFlight.set_use_underline(True)
         self._onlineFlight.set_tooltip_text(xstr("finish_online_tooltip"))
-        onlineFlightAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
+        onlineFlightAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
         onlineFlightAlignment.add(self._onlineFlight)
         table.attach(onlineFlightAlignment, 1, 2, row, row + 1)
@@ -4976,20 +4976,20 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, xscale = 0.0,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, xscale = 0.0,
                                        yalign = 0.5, yscale = 0.0)
-        self._gateLabel = gtk.Label(xstr("finish_gate"))
+        self._gateLabel = Gtk.Label(xstr("finish_gate"))
         self._gateLabel.set_use_underline(True)
         labelAlignment.add(self._gateLabel)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        self._gatesModel = gtk.ListStore(str)
-
-        self._gate = gtk.ComboBox(model = self._gatesModel)
-        renderer = gtk.CellRendererText()
+        self._gatesModel = Gtk.ListStore(str)
+
+        self._gate = Gtk.ComboBox(model = self._gatesModel)
+        renderer = Gtk.CellRendererText()
         self._gate.pack_start(renderer, True)
         self._gate.add_attribute(renderer, "text", 0)
         self._gate.set_tooltip_text(xstr("finish_gate_tooltip"))
         self._gate.connect("changed", self._gateChanged)
-        gateAlignment = gtk.Alignment(xalign=0.0, xscale=1.0)
+        gateAlignment = Gtk.Alignment(xalign=0.0, xscale=1.0)
         gateAlignment.add(self._gate)
         table.attach(gateAlignment, 1, 2, row, row+1)
@@ -5143,5 +5143,5 @@
         gui = self._wizard.gui
         if not self._pirepSent and not self._pirepSaved:
-            dialog = gtk.MessageDialog(parent = gui.mainWindow,
+            dialog = Gtk.MessageDialog(parent = gui.mainWindow,
                                        type = MESSAGETYPE_QUESTION,
                                        message_format = xstr("finish_newFlight_question"))
@@ -5261,7 +5261,7 @@
                                                     "")
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
-        self._label = gtk.Label()
+        self._label = Gtk.Label()
         alignment.add(self._label)
 
@@ -5349,5 +5349,5 @@
             self._resetGUI()
         else:
-            dialog = gtk.MessageDialog(parent = gui.mainWindow,
+            dialog = Gtk.MessageDialog(parent = gui.mainWindow,
                                        type = MESSAGETYPE_ERROR,
                                        message_format =
@@ -5369,5 +5369,5 @@
 #-----------------------------------------------------------------------------
 
-class Wizard(gtk.VBox):
+class Wizard(Gtk.VBox):
     """The flight wizard."""
     def __init__(self, gui):
@@ -5881,5 +5881,5 @@
                                    if self.entranceExam else
                                    xstr("login_invalid"))
-                dialog = gtk.MessageDialog(parent = self.gui.mainWindow,
+                dialog = Gtk.MessageDialog(parent = self.gui.mainWindow,
                                            type = MESSAGETYPE_ERROR,
                                            message_format = message)
@@ -5898,5 +5898,5 @@
             message = xstr("reload_failconn") if isReload \
                       else xstr("login_failconn")
-            dialog = gtk.MessageDialog(parent = self.gui.mainWindow,
+            dialog = Gtk.MessageDialog(parent = self.gui.mainWindow,
                                        type = MESSAGETYPE_ERROR,
                                        message_format = message)
Index: src/mlx/gui/flightlist.py
===================================================================
--- src/mlx/gui/flightlist.py	(revision 995)
+++ src/mlx/gui/flightlist.py	(revision 996)
@@ -22,5 +22,5 @@
         self._convertFn = convertFn
         self._renderer = \
-          gtk.CellRendererText() if renderer is None else renderer
+          Gtk.CellRendererText() if renderer is None else renderer
         self._extraColumnAttributes = extraColumnAttributes
         self._sortable = sortable
@@ -47,12 +47,12 @@
 
         @param index is the 0-based index of the column."""
-        if isinstance(self._renderer, gtk.CellRendererText):
-            column = gtk.TreeViewColumn(self._heading, self._renderer,
+        if isinstance(self._renderer, Gtk.CellRendererText):
+            column = Gtk.TreeViewColumn(self._heading, self._renderer,
                                         text = index)
-        elif isinstance(self._renderer, gtk.CellRendererToggle):
-            column = gtk.TreeViewColumn(self._heading, self._renderer,
+        elif isinstance(self._renderer, Gtk.CellRendererToggle):
+            column = Gtk.TreeViewColumn(self._heading, self._renderer,
                                         active = index)
         else:
-            column = gtk.TreeViewColumn(self._heading, self._renderer)
+            column = Gtk.TreeViewColumn(self._heading, self._renderer)
         column.set_expand(True)
         if self._sortable:
@@ -83,5 +83,5 @@
 #-----------------------------------------------------------------------------
 
-class FlightList(gtk.Alignment):
+class FlightList(Gtk.Alignment):
     """Construct the flight list.
 
@@ -114,5 +114,5 @@
             columnDescriptor.appendType(types)
 
-        self._model = gtk.ListStore(*types)
+        self._model = Gtk.ListStore(*types)
         if defaultSortableIndex is not None:
             sortOrder = SORT_DESCENDING \
@@ -120,7 +120,7 @@
               else SORT_ASCENDING
             self._model.set_sort_column_id(defaultSortableIndex, sortOrder)
-        self._view = gtk.TreeView(self._model)
-
-        flightIndexColumn = gtk.TreeViewColumn()
+        self._view = Gtk.TreeView(self._model)
+
+        flightIndexColumn = Gtk.TreeViewColumn()
         flightIndexColumn.set_visible(False)
         self._view.append_column(flightIndexColumn)
@@ -140,12 +140,12 @@
             selection.set_mode(SELECTION_MULTIPLE)
 
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.add(self._view)
         if widthRequest is not None:
             scrolledWindow.set_size_request(widthRequest, -1)
         # FIXME: these should be constants in common.py
-        scrolledWindow.set_policy(gtk.PolicyType.AUTOMATIC,
-                                  gtk.PolicyType.AUTOMATIC)
-        scrolledWindow.set_shadow_type(gtk.ShadowType.IN)
+        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                  Gtk.PolicyType.AUTOMATIC)
+        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
 
         super(FlightList, self).__init__(xalign = 0.5, yalign = 0.0,
@@ -235,5 +235,5 @@
 #-----------------------------------------------------------------------------
 
-class PendingFlightsFrame(gtk.Frame):
+class PendingFlightsFrame(Gtk.Frame):
     """A frame for a list of pending (reported or rejected) flights.
 
@@ -273,9 +273,9 @@
         self._pirepEditable = pirepEditable
 
-        alignment = gtk.Alignment(xscale = 1.0, yscale = 1.0)
+        alignment = Gtk.Alignment(xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 2, padding_bottom = 8,
                               padding_left = 4, padding_right = 4)
 
-        hbox = gtk.HBox()
+        hbox = Gtk.HBox()
 
         self._flights = []
@@ -289,7 +289,7 @@
         hbox.pack_start(self._flightList, True, True, 4)
 
-        buttonBox = gtk.VBox()
-
-        self._editButton = gtk.Button(xstr("pendflt_" +
+        buttonBox = Gtk.VBox()
+
+        self._editButton = Gtk.Button(xstr("pendflt_" +
                                            ("edit" if pirepEditable else
                                             "view") + "_" + which))
@@ -299,5 +299,5 @@
         buttonBox.pack_start(self._editButton, False, False, 2)
 
-        self._reflyButton = gtk.Button(xstr("pendflt_refly_" + which))
+        self._reflyButton = Gtk.Button(xstr("pendflt_refly_" + which))
         self._reflyButton.set_sensitive(False)
         self._reflyButton.set_use_underline(True)
@@ -305,5 +305,5 @@
         buttonBox.pack_start(self._reflyButton, False, False, 2)
 
-        self._deleteButton = gtk.Button(xstr("pendflt_delete_" + which))
+        self._deleteButton = Gtk.Button(xstr("pendflt_delete_" + which))
         self._deleteButton.set_sensitive(False)
         self._deleteButton.set_use_underline(True)
@@ -458,7 +458,7 @@
     def _producePopupMenu(self):
         """Create the popup menu for the flights."""
-        menu = gtk.Menu()
-
-        menuItem = gtk.MenuItem()
+        menu = Gtk.Menu()
+
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("pendflt_" +
                                 ("edit" if self._pirepEditable else "view") +
@@ -470,5 +470,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("pendflt_refly_" + self._which))
         menuItem.set_use_underline(True)
@@ -478,5 +478,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("pendflt_delete_" + self._which))
         menuItem.set_use_underline(True)
@@ -503,5 +503,5 @@
 #-----------------------------------------------------------------------------
 
-class PendingFlightsWindow(gtk.Window):
+class PendingFlightsWindow(Gtk.Window):
     """The window to display the lists of the pending (reported or rejected)
     flights."""
@@ -517,10 +517,10 @@
         self.set_modal(True)
 
-        mainAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        mainAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                       xscale = 1.0, yscale = 1.0)
         mainAlignment.set_padding(padding_top = 0, padding_bottom = 12,
                                   padding_left = 8, padding_right = 8)
 
-        vbox = gtk.VBox()
+        vbox = Gtk.VBox()
 
         self._reportedFrame = PendingFlightsFrame("reported", wizard, self,
@@ -531,7 +531,7 @@
         vbox.pack_start(self._rejectedFrame, True, True, 2)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
-        self._closeButton = gtk.Button(xstr("button_ok"))
+        self._closeButton = Gtk.Button(xstr("button_ok"))
         self._closeButton.connect("clicked", self._closeClicked)
         self._closeButton.set_use_underline(True)
@@ -586,5 +586,5 @@
 #-----------------------------------------------------------------------------
 
-class AcceptedFlightsWindow(gtk.Window):
+class AcceptedFlightsWindow(Gtk.Window):
     """A window for a list of accepted flights."""
     def getFlightDuration(flightTimeStart, flight):
@@ -638,11 +638,11 @@
         self.set_transient_for(gui.mainWindow)
 
-        alignment = gtk.Alignment(xscale = 1.0, yscale = 1.0)
+        alignment = Gtk.Alignment(xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 2, padding_bottom = 8,
                               padding_left = 4, padding_right = 4)
 
-        vbox = gtk.VBox()
-
-        hbox = gtk.HBox()
+        vbox = Gtk.VBox()
+
+        hbox = Gtk.HBox()
         vbox.pack_start(hbox, True, True, 4)
 
@@ -657,7 +657,7 @@
         hbox.pack_start(self._flightList, True, True, 4)
 
-        buttonBox = gtk.VBox()
-
-        self._refreshButton = gtk.Button(xstr("acceptedflt_refresh"))
+        buttonBox = Gtk.VBox()
+
+        self._refreshButton = Gtk.Button(xstr("acceptedflt_refresh"))
         self._refreshButton.set_sensitive(True)
         self._refreshButton.set_use_underline(True)
@@ -665,10 +665,10 @@
         buttonBox.pack_start(self._refreshButton, False, False, 2)
 
-        filler = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        filler = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                xscale = 1.0, yscale = 1.0)
         filler.set_size_request(-1, 4)
         buttonBox.pack_start(filler, False, False, 0)
 
-        self._viewButton = gtk.Button(xstr("acceptedflt_view"))
+        self._viewButton = Gtk.Button(xstr("acceptedflt_view"))
         self._viewButton.set_sensitive(False)
         self._viewButton.set_use_underline(True)
@@ -678,8 +678,8 @@
         hbox.pack_start(buttonBox, False, False, 4)
 
-        buttonAlignment = gtk.Alignment(xscale = 0.0, yscale = 0.0,
+        buttonAlignment = Gtk.Alignment(xscale = 0.0, yscale = 0.0,
                                         xalign = 0.5, yalign = 0.5)
 
-        self._closeButton =  gtk.Button(xstr("button_ok"))
+        self._closeButton =  Gtk.Button(xstr("button_ok"))
         self._closeButton.connect("clicked", self._closeClicked)
         self._closeButton.set_use_underline(True)
